com.google.gwt.user.client.ui

## Interface IsWidget

All Known Subinterfaces:
  DialogBox.Caption, HasScrolling, HorizontalScrollbar, VerticalScrollbar

All Known Implementing Classes:
  AbsolutePanel, AbstractCellTable, AbstractCellTree, AbstractHasData, AbstractNativeScrollbar, AbstractPager, Anchor, Audio, Button, ButtonBase, CalendarView, Canvas, CaptionPanel, CellBrowser, CellBrowser.BrowserCellList, CellGridImpl, CellGridImpl.Cell, CellList, CellPanel, CellTable, CellTree, CellWidget, CheckBox, ComplexPanel, Composite, CustomButton, CustomScrollPanel, DataGrid, DataGrid.TableWidget, DateBox, DateLabel, DatePicker, DatePickerComponent, DeckLayoutPanel, DeckPanel, DecoratedPopupPanel, DecoratedStackPanel, DecoratedTabBar, DecoratedTabPanel, DecoratorPanel, DefaultCalendarView, DefaultCalendarView.CellGrid, DefaultCalendarView.CellGrid.DateCell, DefaultMonthSelector, DialogBox, DialogBox.CaptionImpl, DisclosurePanel, DockLayoutPanel, DockPanel, DoubleBox, FileUpload, FlexTable, FlowPanel, FocusPanel, FocusWidget, FormPanel, Frame, Grid, HeaderPanel, Hidden, HorizontalPanel, HorizontalSplitPanel, HTML, HTMLPanel, HTMLTable, Hyperlink, Image, InlineHTML, InlineHyperlink, InlineLabel, IntegerBox, Label, LabelBase, LayoutPanel, LazyPanel, ListBox, LoggingPopup, LongBox, MediaBase, MenuBar, MonthSelector, NamedFrame, NativeHorizontalScrollbar, NativeVerticalScrollbar, NotificationMole, NumberLabel, PageSizePager, Panel, PasswordTextBox, PopupPanel, PushButton, RadioButton, RenderablePanel, ResetButton, ResizeComposite, ResizeLayoutPanel, RichTextArea, RootLayoutPanel, RootPanel, ScrollPanel, SimpleCheckBox, SimpleLayoutPanel, SimplePager, SimplePanel, SimpleRadioButton, SplitLayoutPanel, SplitLayoutPanel.HSplitter, SplitLayoutPanel.Splitter, SplitLayoutPanel.VSplitter, SplitPanel, StackLayoutPanel, StackPanel, SubmitButton, SuggestBox, TabBar, TabLayoutPanel, TabPanel, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, ValueBox, ValueBoxBase, ValueBoxEditorDecorator, ValueLabel, ValueListBox, ValuePicker, VerticalPanel, VerticalSplitPanel, Video, Widget

    public interface IsWidget

Extended by view interfaces that are likely to be implemented by Widgets. Provides access to that widget, if it exists, without compromising the ability to provide a mock view instance in JRE unit tests.

### Method Summary

All Methods Instance Methods Abstract Methods
`Widget` `asWidget()` Returns the `Widget` aspect of the receiver.

### Method Detail

#### asWidget

    Widget asWidget()

Returns the `Widget` aspect of the receiver.